module Goal.Geometry.Plot where


--- Imports ---


-- Goal --

import Goal.Core
import Goal.Geometry.Set

import qualified Data.Vector.Storable as C

coordinateLogHistogram :: Int -> String -> [String] -> [Coordinates] -> Layout Double Double
coordinateLogHistogram nbns ttl ttls css =
    let bplt = plot_bars_titles .~ ttls $ logHistogramPlot0 nbns (C.toList <$> css) def
     in layout_title .~ ttl
        $ layout_y_axis . laxis_override .~ axisGridHide
        $ layout_x_axis . laxis_override .~ axisGridHide
        $ logHistogramLayout bplt def

coordinateHistogram :: Int -> String -> [String] -> [Coordinates] -> Layout Double Double
coordinateHistogram nbns ttl ttls css =
    let bplt = plot_bars_titles .~ ttls
            $ histogramPlot0 nbns (C.toList <$> css) def
     in layout_title .~ ttl
        $ layout_y_axis . laxis_override .~ axisGridHide
        $ layout_x_axis . laxis_override .~ axisGridHide
        $ histogramLayout bplt def
